<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

echo '<img src="../images/img/partners.gif" alt=""> <b>Платные аватары</b><br><br>';

if(!isset($action)){

$dir = opendir (BASEDIR."images/avators2");
while ($file = readdir ($dir)) 
{if (( $file != ".") && ($file != "..") && ($file != ".htaccess") && ($file != "index.php")&& ($file != "Thumbs.db")) 
{$a[]=$file;}}  
closedir ($dir); 
sort($a);

$total = count($a);

$start = (int)$_GET['start'];
if($start < 0 || $start > $total){$start = 0;}
if ($total < $start + $config_avlist){ $end = $total; }
else {$end = $start + $config_avlist; }
for ($i = $start; $i < $end; $i++){

echo '<img src="../images/avators2/'.$a[$i].'" alt=""> .'; 

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
echo ' <a href="avators2.php?action=avatar&amp;av='.$a[$i].'&amp;'.SID.'">Купить</a>';}

echo'<br>';
}

echo'<hr>'; 
if ($start != 0) {echo '<a href="avators2.php?start='.($start - $config_avlist).'&amp;'.SID.'">&lt;-Назад </a>';}else{echo'&lt;-Назад';}
echo ' | '; 
if ($total > $start + $config_avlist) {echo ' <a href="avators2.php?start='.($start + $config_avlist).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';}



if($total>0){
$ba=ceil($total/$config_avlist);
$ba2=floor($total/$config_avlist)*$config_avlist;

echo '<br><hr>Страницы:';
$asd=$start-($config_avlist*4);
$asd2=$start+($config_avlist*5);

if($asd<$total && $asd>0){echo ' <a href="avators2.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_avlist);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
} else {
echo ' <a href="avators2.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
}}

$i=$i+$config_avlist;}
if($asd2<$total){echo ' ... <a href="avators2.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}




if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
if ($udata[43]==""){$udata[43]="images/avators/noavatar.gif";}

echo '<br><br><font color="FF0000">Внимание цена аватара '.moneys($config_avatarpay).'</font><br>';
echo'У вас в наличии золотых монет: '.(int)$udata[41].'<br>';
echo 'Купите понравившийся вам аватар<br>Cейчас ваш аватар: <img src="../'.$udata[43].'" alt="">';}
echo '<br>Всего доступно аваторов: '.(int)$total.'<br>'; 
}

//---------------------------- Выбор аватаров --------------------------//
if($action=="avatar"){
if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){

if(isset($_GET['av']) && $_GET['av']!="" && !eregi("[^a-z0-9_\.()-]",$_GET['av'])){

$av=$_GET['av'];

if($udata[43]!="images/avators2/".$av){
if($udata[41]>=$config_avatarpay){	

if(file_exists("../images/avators2/$av")){

//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[41]=$udata[41]-(int)$config_avatarpay;
$udata[43]=check("images/avators2/$av");

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo '<br>Аватар успешно выбран!<br>
Cейчас ваш аватар: <img src="'.BASEDIR.'images/avators2/'.$av.'" alt=""><br>';
echo 'C вашего счета списано '.moneys($config_avatarpay).'<br>';

}else{echo 'Неверный адрес аватора!<br>';}
}else{echo 'Вы не можете купить аватар т.к. на вашем счете недостаточно средств<br>';}
}else{echo 'Ошибка! Вы уже купили этот аватар!<br>';}
}else{echo 'Недопустимое название аватара!<br>';}

echo '<br><img src="../images/img/back.gif" alt=""> <a href="avators2.php?'.SID.'">Вернуться</a><br>';
}}
	
	
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>